Skip to main content
POST
/
v1
/
table
/
{id}
/
version
/
describe
Error
A valid request URL is required to generate request examples
{
  "version": {
    "version": 1,
    "manifest_path": "<string>",
    "manifest_size": 1,
    "e_tag": "<string>",
    "timestamp_millis": 123,
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://lancedb-bcbb4faf-docs-namespace-typescript-examples.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Request to describe a specific table version

identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]

The table identifier

version
integer<int64>

Version number to describe

Required range: x >= 0

Response

Table version information

Response containing the table version information

version
object
required

The table version information